// pages/inspectedRecords/inspectedRecords.ts
import { originatorList } from '../../apis/inspection'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    listQuery: {
      current: 1
    },
    list: [],
    status: {
      WAIT: '待授权',
      AGREE: '已同意',
      REFUSE: '已拒绝',
      AGREE_TIME_OUT: "已失效"
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.setData({
      list: [],
      ['listQuery.current']: 1
    })
    this.getList()
  },

  getList() {
    originatorList(this.data.listQuery).then((res: any) => {
      console.log(res)
      const list = res.d.records
      if (list.length) {
        this.setData({
          list: this.data.list.concat(list)
        })
      } else {
        wx.showToast({
          icon: 'none',
          title: '没有更多了!'
        })
      }
    })
  },
  jumpReport(e: WechatMiniprogram.BaseEvent) {
    wx.navigateTo({
      url: `/pages/reportPreview/reportPreview?id=${e.currentTarget.dataset.id}&type=2&active=2`
    })
  },
  commingsoon(){
    wx.showToast({
      icon: 'none',
      title: '功能维护中，暂未开放'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.setData({
      ['listQuery.current']: this.data.listQuery.current + 1
    })
    this.getList()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})